﻿(function (global, undefined) {
    global.OnShapeCreated = function (ev) {
        var map = ev.sender;
        var marker = ev.shape.dataItem.properties.marker;
        // make sure a custom shape title is added, so that the custom code could affect only these markers
        // note that this affects the selector which customizes the markers (see the RenderTextNode function below)
        marker["shape"] = "text-label";
        // add the custom marker to the markers collection
        var markerElement = map.markers.add(marker);
        // render the shape label
        RenderTextNode(markerElement);
    }

    global.RenderTextNode = function (marker) {
        var markerElm = marker.element;
        // get the dynamically added title attribute and add it as text to the span element
        var markerTitle = markerElm.attr("title");
        markerElm.text(markerTitle);
        // remove the tooltip capabilities
        var tooltip = markerElm.data("kendoTooltip");
        tooltip.destroy();
    }
})(window);